package _06_循环练习;

import java.util.Scanner;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 需求：
         *   键盘录入一个大于等于2的整数 x ，
         *   计算并返回 x 的 平方根 。结果只保留整数部分 ，小数部分将被舍去
         *
         *  4 * 4 < 17
         *  5 * 5 = 25
         *
         *   17         4-5   4.4
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入一个整数");
        int number = scanner.nextInt();

        for (int j = 0; j <= number; j++) {
            if( j * j == number){
                System.out.println("j="+ j +"就是number 平方根 ");
                break;
            }
            if( j * j> number){
                System.out.println((j - 1) +"就是平方根的整数部分");
                break;
            }

        }

    }
}
